Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class SampleDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  FlashDescription, ImageDescription, MusicDescription, SoundDescription, SpriteDescription, StreamDescription, TextDescription, ThreeDDescription, TimeCodeDescription

public class SampleDescription
extends QTHandleRef
implements quicktime.jdirect.QuickTimeLib, java.lang.Cloneable

The SampleDescription class implements the SampleDescription data structure of the Movie Toolbox.

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SampleDescription(int format)` This constructor creates an empty SampleDescription object.

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`static SampleDescription` | `fromMovieImporter(MovieImporter mi)` Determines the sample description of the component.
`int` | `getDataFormat()` Return the data format of the sample description.
`int` | `getDataRefIndex()` Gets the index of the data reference
`static EndianDescriptor` | `getEndianDescriptor()`
`int` | `getSize()` This method returns the size of the media sample description.
`void` | `setDataFormat(int format)` Sets the data format of the sample description.
`void` | `setDataRefIndex(int index)` Sets the data reference index for the description
`void` | `setSize(int size)` Resizes the SampleDescription to the specified size.
`java.lang.String` | `toString()` Print information about this object.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### SampleDescription

    public SampleDescription(int format)
                      throws QTException

  This constructor creates an empty SampleDescription object.

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

### fromMovieImporter

    public static SampleDescription fromMovieImporter(MovieImporter mi)
                                               throws StdQTException

  Determines the sample description of the component.
  QuickTime::MovieImportGetSampleDescription

  Returns:
    The sample description.
  See Also:
    `MovieImporter.getSampleDescription()`

### getSize

    public int getSize()

  This method returns the size of the media sample description.
  Overrides:
    `getSize` in class `QTHandleRef`
  Returns:
    the size of the sample description.

### setSize

    public void setSize(int size)
                 throws StdQTException

  Resizes the SampleDescription to the specified size.
  QuickTime::SetHandleSize

  Parameters:
    `size` - the new size of the SampleDescription.

### getDataFormat

    public int getDataFormat()

  Return the data format of the sample description.
  Returns:
    the data format

### setDataFormat

    public void setDataFormat(int format)

  Sets the data format of the sample description.
  Parameters:
    `format` - the data format

### getDataRefIndex

    public int getDataRefIndex()

  Gets the index of the data reference
  Returns:
    the index of the data reference

### setDataRefIndex

    public void setDataRefIndex(int index)

  Sets the data reference index for the description
  Parameters:
    `index` - the new data reference index

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.

### toString

    public java.lang.String toString()

  Print information about this object.
  Overrides:
    `toString` in class `QTHandleRef`
  Returns:
    a string representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD